cURL
curl --request GET \ --url https://api.dualship.run/api/v1/documents \ --header 'Authorization: Bearer <token>' \ --header 'X-Workspace-Id: <x-workspace-id>'
{ "documents": [ { "content_type": "application/pdf", "created_at": "2024-01-15T10:00:00Z", "file_name": "report.pdf", "file_size": 1024000, "id": "550e8400-e29b-41d4-a716-446655440000", "parse_status": "completed" } ] }
Get all documents for the workspace
Documentation IndexFetch the complete documentation index at: https://docs.dualship.run/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.dualship.run/llms.txt
Use this file to discover all available pages before exploring further.
JWT Bearer token authentication
Workspace ID
Limit
Offset
List of documents
Show child attributes
Was this page helpful?